<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionTeamBlockCreateTeamBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'title' => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'image' => [
            'en'   => [
                'name' => 'Image',
            ],
            'type' => 'anomaly.field_type.image',
        ],
        'name'  => [
            'en'   => [
                'name' => 'Name',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'phone' => [
            'en'     => [
                'name' => 'Phone',
            ],
            'type'   => 'anomaly.field_type.text',
            'config' => [
                'mask' => '999-999-9999',
            ],
        ],
        'email' => [
            'en'   => [
                'name' => 'Email',
            ],
            'type' => 'anomaly.field_type.email',
        ],
        'members' => [
            'en'     => [
                'name' => 'Members',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Member',
                'related' => 'team_block.members',
            ],
        ],
    ];

}
