<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionTeamBlockRemovePhoneMask extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $stream = $this->streams()->findBySlugAndNamespace('members', 'team_block');
        $field = $this->fields()->findBySlugAndNamespace('phone', 'team_block');

        $field->config = [
            'type' => 'tel',
        ];

        $field->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        $stream = $this->streams()->findBySlugAndNamespace('members', 'team_block');
        $field = $this->fields()->findBySlugAndNamespace('phone', 'team_block');

        $field->config = [
            'mask' => '999-999-9999',
        ];

        $field->save();
    }
}
