<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionTeamBlockAddBioFieldToMembers extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'bio' => [
            'en'   => [
                'name' => 'Bio',
            ],
            'type' => 'anomaly.field_type.textarea',
        ],
    ];

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'members',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'bio',
    ];

}
