<?php namespace Terrostar\TeamBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Terrostar\TeamBlockExtension\Block\Contract\BlockRepositoryInterface;
use Terrostar\TeamBlockExtension\Block\BlockRepository;
use Anomaly\Streams\Platform\Model\TeamBlock\TeamBlockBlocksEntryModel;
use Terrostar\TeamBlockExtension\Block\BlockModel;
use Terrostar\TeamBlockExtension\Member\Contract\MemberRepositoryInterface;
use Terrostar\TeamBlockExtension\Member\MemberRepository;
use Anomaly\Streams\Platform\Model\TeamBlock\TeamBlockMembersEntryModel;
use Terrostar\TeamBlockExtension\Member\MemberModel;
use Illuminate\Routing\Router;

class TeamBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        TeamBlockBlocksEntryModel::class => BlockModel::class,
        TeamBlockMembersEntryModel::class => MemberModel::class,
    ];

}
